POST Agents/Ticket/GetTicketMessageWithOptions
Some tooltip text!
• 7 minutes to read
• 7 minutes to read
POST /api/v1/Agents/Ticket/GetTicketMessageWithOptions
Get a ticket message entity with additional options.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Ticket/GetTicketMessageWithOptions?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
TicketMessageEntityId, IncludeNonInlineAttachmentsInfo
| Property Name | Type | Description |
|---|---|---|
| TicketMessageEntityId | Integer | |
| IncludeNonInlineAttachmentsInfo | Boolean |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TicketMessageEntity
| Property Name | Type | Description |
|---|---|---|
| EjMessageId | int32 | The primary key (auto-incremented) |
| Ticket | Ticket | The connected ticket |
| CreatedAt | date-time | When the message was posted. |
| CreatedBy | Associate | The associate who created this ticket message |
| Author | string | A string representing the author of the message. Could be a user's name, or a persons email address. |
| Slevel | string | The securitylevel of the message. |
| Type | string | The type of the message (plaintext/html). |
| MessageId | string | The Message-Id header value from the email. Used for threading, i.e. connecting messages to existing tickets. |
| TimeSpent | int32 | The time spent (minutes) for this message. |
| Body | string | The textbody for the message. |
| HtmlBody | string | The html body for the message (if any). |
| EmailHeader | string | The email header is saved in this field as raw text |
| DebugInfo | string | The debug info for the message. |
| MailSorter | string | The name of the mail sorter used when the email was imported. Note: We must use name instead of id since the id's change every time one changes the mail sorter. :-0 |
| MessageCategory | string | Defines what kind of message this is. |
| Person | Person | If this is an incoming message, this will contain the person Use MDO List name "person_new" to get list items. |
| SearchTitle | string | A copy of the title of the ticket, for search optimisation and simpler reporting. |
| MessageHeaders | array | Contains the message headers, like To, Cc, Bcc information, or custom headers |
| Important | bool | If this message is important or not. |
| Language | string | The language this message is in, based on some kind of analysis |
| Sentiment | int32 | Sentiment index, 100 = completely happy; -100 = suicidally unhappy; 0 = no idea |
| SentimentConfidence | int32 | Confidence of sentiment index, 0 = no idea, 100 = completely sure |
| Badge | string | Badge to explicitly determine how a message was generated |
| AttachmentsInfo | array | Message attachments information |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.TicketMessageEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.TicketMessageEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Ticket/GetTicketMessageWithOptions
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"TicketMessageEntityId": 129,
"IncludeNonInlineAttachmentsInfo": false
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"EjMessageId": 5678,
"Ticket": null,
"CreatedAt": "2024-11-15T11:30:00+01:00",
"CreatedBy": null,
"Author": "support@company.com",
"Slevel": "External",
"Type": "Html",
"MessageId": "<msg-5678@support.company.com>",
"TimeSpent": 15,
"Body": "Thank you for contacting us. We have investigated the login issue and found that it was caused by a browser cache problem. Please clear your browser cache and cookies, then try logging in again. If the issue persists, please let us know.",
"HtmlBody": "<p>Thank you for contacting us.</p><p>We have investigated the login issue and found that it was caused by a browser cache problem. Please clear your browser cache and cookies, then try logging in again.</p><p>If the issue persists, please let us know.</p>",
"EmailHeader": "support@company.com",
"DebugInfo": "",
"MailSorter": "support@company.com",
"MessageCategory": "Message",
"Person": null,
"SearchTitle": "recusandae",
"MessageHeaders": [
{
"Id": 186,
"Name": "Rowe Group",
"Value": "nisi",
"StdItem": "CustomerReadFAQ",
"StdItemCol": "Name",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 814
}
}
}
],
"Important": true,
"Language": "quidem",
"Sentiment": 805,
"SentimentConfidence": 545,
"Badge": "Comment",
"AttachmentsInfo": [
{
"AttachmentId": 428,
"Name": "Hermann-Cruickshank",
"ContentType": "non",
"AttSize": 582,
"InlineImage": false,
"ContentId": "vel",
"AuthKey": "excepturi",
"IsSafeFileExtension": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 425
}
}
}
],
"ExtraFields": {
"ExtraFields1": "dolore",
"ExtraFields2": "error"
},
"CustomFields": {
"CustomFields1": "voluptas",
"CustomFields2": "laboriosam"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 983
}
}
}